LibreOffice LibreOffice 6.0 SDK API Reference

List of all members
TabController Service Referencepublished

specifies a standard tab controller. More...

`import"TabController.idl";`

Inheritance diagram for TabController:

## Additional Inherited Members
Public Member Functions inherited from XTabController
void | setModel ([in] com::sun::star::awt::XTabControllerModel Model)
| sets the tab controller model. More...
com::sun::star::awt::XTabControllerModel | getModel ()
| returns the tab controller model. More...
void | setContainer ([in] com::sun::star::awt::XControlContainer Container)
| set the control container. More...
com::sun::star::awt::XControlContainer | getContainer ()
| returns the control container. More...
sequence< com::sun::star::awt::XControl > | getControls ()
| returns all controls of the control container. More...
void | autoTabOrder ()
| enables automatic tab order. More...
void | activateTabOrder ()
| activates tab order. More...
void | activateFirst ()
| sets the focus to the first control that can be reached with the TAB key. More...
void | activateLast ()
| sets the focus to the last control that can be reached with the TAB key. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies a standard tab controller.

The documentation for this service was generated from the following file:

- com/sun/star/awt/TabController.idl